<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $meta->title; ?></title>
		<link rel="shortcut icon" href="<?php echo $meta->shortcut_icon ? $meta->shortcut_icon : '/favicon.ico' ?>" type="image/vnd.microsoft.icon" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="Content-Language" content="<?php echo $meta->language; ?>" />

		<meta name="keywords" content="<?php echo $meta->keywords; ?>" />
		<meta name="description" content="<?php echo $meta->description; ?>" />
		<meta name="copyright" content="<?php echo Config::copywrite(); ?>" />

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
		<meta name="apple-mobile-web-app-capable" content="yes">

		<?php
			if (Kohana::$environment >= Kohana::TESTING) {
				echo HTML::style('media/theme/bootstrap/css/bootstrap.min.css');
				echo HTML::style('media/theme/bootstrap/css/bootstrap-responsive.min.css');
				echo HTML::style('media/vendor/font-awesome/css/font-awesome.min.css');
				// @todo Work out how to delay this loading until required
				echo HTML::style('media/theme/bootstrap/vendor/bootstrap-wysihtml5-0.0.2/bootstrap-wysihtml5-0.0.2.css');
			} else {
				echo HTML::style($meta->secure().'netdna.bootstrapcdn.com/twitter-bootstrap/2.3.1/css/bootstrap.min.css');
				echo HTML::style($meta->secure().'netdna.bootstrapcdn.com/twitter-bootstrap/2.3.1/css/bootstrap-responsive.min.css');
				echo HTML::style($meta->secure().'netdna.bootstrapcdn.com/font-awesome/3.0.2/css/font-awesome.css');
				// @todo Work out how to delay this loading until required
				echo HTML::style($meta->secure().'cdn.jsdelivr.net/bootstrap.wysihtml5/0.0.2/bootstrap-wysihtml5-0.0.2.css');
			}

			echo HTML::style($meta->secure().'fonts.googleapis.com/css?family=Open+Sans:400italic,600italic,800italic,400,600,800');
			echo HTML::style('media/css/ui-lightness/jquery-ui-1.10.0.custom.min.css');
			echo HTML::style('media/theme/baseadmin/css/base-admin-2.css');
			echo HTML::style('media/theme/baseadmin/css/base-admin-2-responsive.css');
			echo HTML::style('media/theme/baseadmin/css/custom.css');
			echo Style::factory()->render_all();
		?>
	</head>

	<body>
		<?php if (! empty($shownavbar)) : ?>
		<div class="navbar navbar-inverse navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse"><i class="icon-cog"></i> </a>
					<a class="brand" href="<?php echo URL::site(); ?>"><?php echo Config::sitename(); ?><sup></sup></a>

					<div class="nav-collapse collapse">
						<ul class="nav pull-right">
							<?php echo $navbar; ?>
						</ul>

						<form class="navbar-search pull-right">
							<input type="text" name="search-query" class="search-query" placeholder="Search" data-provide="typeahead">
						</form>
					</div><!--/.nav-collapse -->

				</div> <!-- /container -->
			</div> <!-- /navbar-inner -->
		</div> <!-- /nvarbar -->

		<div class="subnavbar">
			<div class="subnavbar-inner">
				<div class="container">
					<a class="btn-subnavbar collapsed" data-toggle="collapse" data-target=".subnav-collapse">
						<i class="icon-reorder"></i>
					</a>

					<div class="subnav-collapse collapse">
						<ul class="mainnav">
							<li class="">
								<a href="<?php echo URL::link('user','welcome',TRUE); ?>"><i class="icon-home"></i> <span>Home</span></a>
							</li>
						</ul>
					</div> <!-- /.subnav-collapse -->
				</div> <!-- /container -->
			</div> <!-- /subnavbar-inner -->
		</div> <!-- /subnavbar -->
		<?php endif ?>

		<div class="error_container">
			<div class="error_details">
				<div class="row">
					<div class="span10 offset2">
						<?php echo SystemMessage::factory()->render_all(); ?>
					</div>
				</div> <!-- /row -->
			</div> <!-- /error_details -->
		</div> <!-- /error_container -->

		<div class="main">
			<div class="container">
				<div class="widget-content">
					<?php echo $content; ?>
				</div> <!-- /widget-content -->
			</div> <!-- /container -->
		</div> <!-- /main -->

		<?php
			if (Kohana::$environment >= Kohana::TESTING) {
				echo HTML::script('media/js/jquery/jquery-1.9.1.min.js');
				echo HTML::script('media/theme/bootstrap/js/bootstrap.min.js');
				// @todo Work out how to delay this loading until required
				echo HTML::script('media/theme/bootstrap/vendor/bootstrap-wysihtml5-0.0.2/libs/js/wysihtml5-0.3.0_rc2.min.js');
				echo HTML::script('media/theme/bootstrap/vendor/bootstrap-wysihtml5-0.0.2/bootstrap-wysihtml5-0.0.2.min.js');
				echo HTML::script('media/js/lodash/lodash-1.2.1.min.js');
			} else {
				echo HTML::script($meta->secure().'code.jquery.com/jquery-1.9.1.min.js');
				echo HTML::script($meta->secure().'netdna.bootstrapcdn.com/twitter-bootstrap/2.3.1/js/bootstrap.min.js');
				// @todo Work out how to delay this loading until required
				echo HTML::script($meta->secure().'cdn.jsdelivr.net/wysihtml5/0.3.0/wysihtml5-0.3.0.min.js');
				echo HTML::script($meta->secure().'cdn.jsdelivr.net/bootstrap.wysihtml5/0.0.2/bootstrap-wysihtml5-0.0.2.min.js');
				echo HTML::script($meta->secure().'cdnjs.cloudflare.com/ajax/libs/lodash.js/1.2.1/lodash.min.js');
			}

			echo HTML::script('media/theme/baseadmin/js/backtotop.js');
			echo HTML::script('media/js/search.js');
			echo HTML::script('media/js/custom.js');
			echo Script::factory()->render_all();
		?>
	</body>
</html>
